The requirements a case covers
GET
/v1/test-cases/{id}/requirements
const url = 'https://beta-api.plune.ai/v1/test-cases/example/requirements';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://beta-api.plune.ai/v1/test-cases/example/requirements \ --header 'Authorization: Bearer <token>'The other side of the link: the requirements of the project that are not archived and have this case linked. A case with none answers an empty list — it is not an error.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Responses
Section titled “ Responses ”The requirements
Media type application/json
object
requirements
required
Array<object>
object
id
required
string
key
required
string
type
required
string
status
required
string
title
required
string
Example
{ "requirements": [ { "type": "user_story", "status": "draft" } ]}No / invalid token or session
No such case in your projects
Media type application/json
object
error
required
string
Example generated
{ "error": "example"}